@import url(https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700,300);

:root {
  /* Gradient variables */
  --gradient-0-start: #6DE195;
  --gradient-0-end: #C4E759;
  --gradient-1-start: #41C7AF;
  --gradient-1-end: #54E38E;
  --gradient-2-start: #99E5A2;
  --gradient-2-end: #D4FC78;
  --gradient-3-start: #ABC7FF;
  --gradient-3-end: #C1E3FF;
  --gradient-4-start: #6CACFF;
  --gradient-4-end: #8DEBFF;
  --gradient-5-start: #5583EE;
  --gradient-5-end: #41D8DD;
  --gradient-6-start: #A16BFE;
  --gradient-6-end: #DEB0DF;
  --gradient-7-start: #D279EE;
  --gradient-7-end: #F8C390;
  --gradient-8-start: #F78FAD;
  --gradient-8-end: #FDEB82;
  --gradient-9-start: #BC3D2F;
  --gradient-9-end: #A16BFE;
  --gradient-10-start: #A43AB2;
  --gradient-10-end: #E13680;
  --gradient-11-start: #9D2E7D;
  --gradient-11-end: #E16E93;
  --gradient-12-start: #F5CCF6;
  --gradient-12-end: #F1EEF9;
  --gradient-13-start: #F0EFF0;
  --gradient-13-end: #FAF8F9;
  --gradient-14-start: #121317;
  --gradient-14-end: #323B42;
  
  /* Dithering effect variables */
  --noise-opacity: 0.05;
  --noise-size: 5px;
  --gradient-0-start: #initialColorStart;
  --gradient-0-end: #initialColorEnd;
  --current-gradient-start: var(--gradient-0-start);
  --current-gradient-end: var(--gradient-0-end);
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100vh;
    margin: 0;
}

section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.gradient-layer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    transition: opacity 800ms ease;
    background: var(--current-gradient-start); /* Default gradient, update as needed */
}

.noise {
    height: 100%;
    width: 100%;
    background: linear-gradient(20deg, var(--current-gradient-start), var(--current-gradient-end));
    position: relative;
    -webkit-mask-size: var(--noise-size);
    mask-size: var(--noise-size);
}

.noise-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* transition: opacity 800ms ease; */
}

.control-panel {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    font-family: 'Roboto Condensed', sans-serif;
    color: #333;
    width: fit-content;
}

.control-panel .custom-button { /* Random gradient button */
    margin-bottom: 7px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    border: none;
    padding: 10px;
    border-radius: 3px;
    margin-left: auto;
    margin-right: auto;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-button {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    transform: scale(1);
}

.custom-button:hover {
    transform: scale(1.007);
}

.custom-button:active {
    transform: scale(0.99); /* Slightly scale down the button when pressed */
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2); /* Optional: Adjust box-shadow for depth effect */
}


.control-panel .custom-button .icon-lootbox {
    width: 64px;
    height: 64px;
}

.color-picker-container {
    display: flex; /* Enables flexbox */
    justify-content: space-between; /* Optional: Adjusts spacing between the pickers */
}

.color-picker-container input[type="color"] {
    border: none;
    outline: none;
    height: 30px; /* Set a fixed height */
    -webkit-appearance: none; /* Remove default styling */
    cursor: pointer;
    border-radius: 3px;
}

.hidden-color-picker {
    display: none; /* Hide the native picker */
}

.custom-color-picker { /* Replacement picker */
    width: 74px;
    height: 36px;
    margin-top: 7px;
    margin-bottom: 7px;
    border-radius: 3px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transition: background-color 0.5s ease;
    transition: transform 0.3s ease;
    transform: scale(1);
}

.custom-color-picker:hover {
    transform: scale(1.03);
}

.custom-color-picker:active {
    transform: scale(0.99); /* Slightly scale down the button when pressed */
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2); /* Optional: Adjust box-shadow for depth effect */
}


/* Style the input range sliders */
.slider {
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
}

.slider label {
    font-weight: 700;
    color: #4e4e4e;
    margin-bottom: 5px;
}

.slider input[type="range"] {
    -webkit-appearance: none; /* Override default appearance */
    height: 8px; /* Slider thickness */
    border-radius: 5px; /* Rounded corners */
    background: #ddd; /* Light grey background */
    outline: none;
}

.slider input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: none;
    outline: none;
    width: 12px;
    height: 20px;
    border-radius: 20%;
    background: var(--thumb-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.slider input[type="range"]:hover::-webkit-slider-thumb {
    background: var(--thumb-hover-color);
    transition: background-color 0.3s;
}

.slider input[type="range"]::-moz-range-thumb {
    border: none;
    outline: none;
    width: 12px;
    height: 20px;
    border-radius: 20%;
    background: var(--thumb-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.slider input[type="range"]:hover::-moz-range-thumb {
    background: var(--thumb-hover-color);
    transition: background-color 0.3s;
}




/* Styling for the sliding button Noise toggle */
#noise-toggle .button {
    position: relative;
    width: 74px;
    height: 36px;
    margin-top: 7px;
    margin-bottom: 7px;
    overflow: hidden;
    border-radius: 3px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transition: transform 0.2s ease;
    transform: scale(1);
}

#noise-toggle .button:hover {
    transform: scale(1.03);
}

#noise-toggle .checkbox {
    cursor: pointer;
    width: 100%;
    height: 100%;
    opacity: 0;
    position: absolute;
    z-index: 3;
}

#noise-toggle .knobs,
#noise-toggle .layer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

#noise-toggle .knobs:before,
#noise-toggle .knobs:after,
#noise-toggle .knobs span {
    position: absolute;
    top: 4px;
    width: 20px;
    height: 10px;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    line-height: 1;
    padding: 9px 4px;
    border-radius: 2px;
    transition: 0.3s ease all;
}

#noise-toggle .knobs:before {
    content: "Off";
    left: 4px;
    z-index: 1;
}

#noise-toggle .knobs:after {
    content: "On";
    right: 4px;
    z-index: 1;
}

#noise-toggle .knobs span {
    width: 25px;
    left: 37px;
    z-index: 2;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

#noise-toggle .checkbox:checked + .knobs span {
    left: 4px;
    background-color: white;
}

#noise-toggle .layer {
    transition: background-color 0.3s ease;
}

/* Styling for the sliding button Blur toggle */
#blur-toggle .button {
    position: relative;
    width: 74px;
    height: 36px;
    margin-top: 7px;
    margin-bottom: 7px;
    overflow: hidden;
    border-radius: 3px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transition: transform 0.2s ease;
    transform: scale(1);
}

#blur-toggle .button:hover {
    transform: scale(1.03);
}

#blur-toggle .checkbox {
    cursor: pointer;
    width: 100%;
    height: 100%;
    opacity: 0;
    position: absolute;
    z-index: 3;
}

#blur-toggle .knobs,
#blur-toggle .layer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

#blur-toggle .knobs:before,
#blur-toggle .knobs:after,
#blur-toggle .knobs span {
    position: absolute;
    top: 4px;
    width: 20px;
    height: 10px;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    line-height: 1;
    padding: 9px 4px;
    border-radius: 2px;
    transition: 0.3s ease all;
}

#blur-toggle .knobs:before {
    content: "Off";
    left: 4px;
    z-index: 1;
}

#blur-toggle .knobs:after {
    content: "On";
    right: 4px;
    z-index: 1;
}

#blur-toggle .knobs span {
    width: 25px;
    left: 37px;
    z-index: 2;
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

#blur-toggle .checkbox:checked + .knobs span {
    left: 4px;
    background-color: white;
}

#blur-toggle .layer {
    transition: background-color 0.3s ease;
}

.button-cover {
    display: flex;
    justify-content: space-between;
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: 700;
    color: #4e4e4e;
    align-items: center;
}

.button-cover label {
    margin-right: 40px; /* Adjust this value for spacing between label and checkbox */
}

